com.tibbo.aggregate.common.device.sync

## Class AbstractSynchronizationParameters

- java.lang.Object
- - com.tibbo.aggregate.common.device.sync.AbstractSynchronizationParameters

- All Implemented Interfaces:
    SynchronizationParameters
  Direct Known Subclasses:
    ConnectOnlySynchronization, DefaultSynchronizationParameters, ReinitializerSynchronizationParameters, VariablesSynchronizationParameters

      public abstract class AbstractSynchronizationParameters
      extends java.lang.Object
      implements SynchronizationParameters

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Integer` | `directionOverride`
    `java.lang.String` | `id`
    `boolean` | `shouldPersistStatus`
    `boolean` | `shouldReadMetadata`
    `boolean` | `shouldUseExtendedStatus`
    `java.util.Set<java.lang.String>` | `variables`

    - ### Fields inherited from interface com.tibbo.aggregate.common.device.sync.SynchronizationParameters

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSynchronizationParameters(java.lang.String id, boolean shouldReadMetadata, boolean shouldPersistStatus, boolean shouldUseExtendedStatus)`
    `AbstractSynchronizationParameters(java.lang.String id, boolean shouldReadMetadata, boolean shouldPersistStatus, boolean shouldUseExtendedStatus, java.lang.Integer directionOverride)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addVariable(java.lang.String variable)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Integer` | `getDirectionOverride()`
    `java.lang.String` | `getId()`
    `java.util.Set<java.lang.String>` | `getVariables()`
    `int` | `hashCode()`
    `boolean` | `hasMoreVariables()`
    `boolean` | `hasVariable(java.lang.String variable)`
    `boolean` | `isConnectOnly()`
    `boolean` | `isFull()`
    `boolean` | `isShouldPersistStatus()`
    `boolean` | `isShouldReadMetadata()`
    `boolean` | `isShouldUseExtendedStatus()`
    `void` | `removeVariable(java.lang.String variable)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.device.sync.SynchronizationParameters

      `createDefaultSynchronizationParameters, createDefaultSynchronizationParameters, createReinitializerSynchronizationParameters, ofVariable, ofVariable`

- - ### Field Detail

    - #### id

          public final java.lang.String id

    - #### shouldReadMetadata

          public final boolean shouldReadMetadata

    - #### shouldPersistStatus

          public final boolean shouldPersistStatus

    - #### shouldUseExtendedStatus

          public final boolean shouldUseExtendedStatus

    - #### directionOverride

          public final java.lang.Integer directionOverride

    - #### variables

          public final java.util.Set<java.lang.String> variables

  - ### Constructor Detail

    - #### AbstractSynchronizationParameters

          public AbstractSynchronizationParameters(java.lang.String id,
                                                   boolean shouldReadMetadata,
                                                   boolean shouldPersistStatus,
                                                   boolean shouldUseExtendedStatus)

    - #### AbstractSynchronizationParameters

          public AbstractSynchronizationParameters(java.lang.String id,
                                                   boolean shouldReadMetadata,
                                                   boolean shouldPersistStatus,
                                                   boolean shouldUseExtendedStatus,
                                                   java.lang.Integer directionOverride)

  - ### Method Detail

    - #### isShouldReadMetadata

          public boolean isShouldReadMetadata()

      Specified by:
        `isShouldReadMetadata` in interface `SynchronizationParameters`

    - #### isShouldPersistStatus

          public boolean isShouldPersistStatus()

      Specified by:
        `isShouldPersistStatus` in interface `SynchronizationParameters`

    - #### isShouldUseExtendedStatus

          public boolean isShouldUseExtendedStatus()

      Specified by:
        `isShouldUseExtendedStatus` in interface `SynchronizationParameters`

    - #### isConnectOnly

          public boolean isConnectOnly()

      Specified by:
        `isConnectOnly` in interface `SynchronizationParameters`

    - #### addVariable

          public void addVariable(java.lang.String variable)

      Specified by:
        `addVariable` in interface `SynchronizationParameters`

    - #### removeVariable

          public void removeVariable(java.lang.String variable)

      Specified by:
        `removeVariable` in interface `SynchronizationParameters`

    - #### hasMoreVariables

          public boolean hasMoreVariables()

      Specified by:
        `hasMoreVariables` in interface `SynchronizationParameters`

    - #### hasVariable

          public boolean hasVariable(java.lang.String variable)

      Specified by:
        `hasVariable` in interface `SynchronizationParameters`

    - #### getVariables

          public java.util.Set<java.lang.String> getVariables()

      Specified by:
        `getVariables` in interface `SynchronizationParameters`

    - #### isFull

          public boolean isFull()

      Specified by:
        `isFull` in interface `SynchronizationParameters`

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in interface `SynchronizationParameters`

    - #### getDirectionOverride

          public java.lang.Integer getDirectionOverride()

      Specified by:
        `getDirectionOverride` in interface `SynchronizationParameters`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`